"use strict";

/*

    examples
 <span eve-manager-dictionary="Day Y text">Day Y text</span>:<br />
 <input type="text" eve-manager-type="parameter" eve-manager-id="gui/dayytext" onkeyup="setTextParam1(this);" on onkeypress="setTextParam1(this);"  />
 <span eve-manager-dictionary="Week Y text">Week Y text</span>:<br />
 <input type="text" eve-manager-type="parameter" eve-manager-id="gui/weekytext" onkeyup="setTextParam1(this);" on onkeypress="setTextParam1(this);"  />
 <span eve-manager-dictionary="Month Y text">Month Y text</span>:<br />
 <input type="text" eve-manager-type="parameter" eve-manager-id="gui/monthytext" onkeyup="setTextParam1(this);" on onkeypress="setTextParam1(this);"  />
 <span eve-manager-dictionary="Year Y text">Year Y text</span>:<br />
 <input type="text" eve-manager-type="parameter" eve-manager-id="gui/yearytext" onkeyup="setTextParam1(this);" on onkeypress="setTextParam1(this);"  />

 */

function paramInput(divPlace, data) {
    var self = this;


    var oData=application.getSelectComponent().getData();

    if (oData.getParamVal(data.uid)==undefined)
        oData.addParamVal(data.uid,data.default);
    var $container = divPlace;



    var $label = $('<span eve-manager-dictionary="'+data.label+'">'+data.label+'</span>:<br />');
    var $input = $("<input type='text'  ></input>");


    //Append input
    //$select.addClass("widget-components");
    $input.attr("eve-manager-id",data.uid);
    $input.attr("eve-manager-type","parameter");

    if (data.onkeyup!=undefined)
        $input.attr("onkeyup",data.onkeyup);
    else
        $input.attr("onkeyup","setTextParam1(this)");
    if (data.onkeypress!=undefined)
        $input.attr("onkeypress",data.onkeypress);
    else
        $input.attr("onkeypress","setTextParam1(this)");
    $container.append($label);
    $container.append($input);

    var val=oData.getParamVal(data.uid);
    $input.val(val);


};